com.sap.conn.jco.monitor

## Interface JCoConnectionData

-     public interface JCoConnectionData

  This class provides some details for an RFC connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATE_ACTIVE` Connection state flag: Connection is active, i.e.
    `static int` | `STATE_STATEFUL` Connection state flag: Connection is stateful, i.e.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbapClient()` Returns the client in the ABAP server, if available, or null.
    `String` | `getAbapHost()` Returns the host where the current or last call was executed or from where the current or last request was done.
    `String` | `getAbapLanguage()` Returns the language in the ABAP server, if available, or null.
    `String` | `getAbapSystemNumber()` Returns the system number of the ABAP server where the current or last call was executed or from where the current or last request was done.
    `String` | `getAbapUser()` Returns the user name in the ABAP server, if available, or null.
    `String` | `getApplicationName()` Returns the application name, if provided by the application or runtime, or null.
    `long` | `getConnectionHandle()` Returns the connection handle (unique within the JVM process).
    `String` | `getConnectionHandleAsString()` Returns the connection handle as String (unique within the JVM process).
    `String` | `getConnectionType()` Returns the connection type, 'client' or 'server' are possible.
    `String` | `getConvId()` Returns the current conversation id, may be null for inactive server connections.
    `byte[]` | `getDSRPassport()` Returns the the byte representation of the DSR passport, if available, or null.
    `String` | `getDSRPassportAsString()` Returns the DSR passport as a hex string.
    `String` | `getFunctionModuleName()` Returns the name of the function module that is being executed or has been executed as last one.
    `String` | `getGroupName()` Returns the name of the connection group - client pool id or server group id.
    `long` | `getLastActivityTimestamp()` Returns the timestamp of the last activity of the monitored connection.
    `String` | `getLastActivityTimestampAsString(Calendar calendar)` Returns the last activity time as string, e.g.
    `String` | `getProtocol()` Returns the communication protocol - at the moment always 'RFC'.
    `String` | `getSessionId()` Returns the client or server internal session id, if available, or null.
    `int` | `getState()` Returns a flag that indicates the activity state of the connection - either STATE_ACTIVE or STATE_STATEFUL.
    `String` | `getStateAsString()` Returns the state as string, e.g.
    `String` | `getSystemID()` Returns the system id of the ABAP server, to which the connection is established.
    `long` | `getThreadId()` Returns the threadID of the thread where the connection has been used for the last time.
    `String` | `getThreadIdAsString()` Returns the threadID as String of the thread where the connection has been used for the last time.
    `String` | `getThreadName()` Returns the thread name of the thread where the connection has been used for the last time.

- - ### Field Detail

    - #### STATE_ACTIVE

          static final int STATE_ACTIVE

      Connection state flag: Connection is active, i.e. busy with handling a request or executing a function module.
      See Also:
        Constant Field Values

    - #### STATE_STATEFUL

          static final int STATE_STATEFUL

      Connection state flag: Connection is stateful, i.e. the backend context is kept and not thrown away after each request.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getProtocol

          String getProtocol()

      Returns the communication protocol - at the moment always 'RFC'.
      Returns:
        communication protocol - at the moment always 'RFC'

    - #### getSessionId

          String getSessionId()

      Returns the client or server internal session id, if available, or null.
      Returns:
        client or server internal session id, if available, or null

    - #### getFunctionModuleName

          String getFunctionModuleName()

      Returns the name of the function module that is being executed or has been executed as last one.
      Returns:
        the name of the function module that is being executed or has been executed as last one

    - #### getDSRPassport

          byte[] getDSRPassport()

      Returns the the byte representation of the DSR passport, if available, or null.
      Returns:
        the byte representation of the DSR passport, if available, or null

    - #### getConnectionType

          String getConnectionType()

      Returns the connection type, 'client' or 'server' are possible.
      Returns:
        connection type: 'client' or 'server'

    - #### getSystemID

          String getSystemID()

      Returns the system id of the ABAP server, to which the connection is established.
      Returns:
        the system id of the ABAP server

    - #### getAbapHost

          String getAbapHost()

      Returns the host where the current or last call was executed or from where the current or last request was done.
      Returns:
        the host where the current or last call was executed or from where the current or last request was done

    - #### getAbapSystemNumber

          String getAbapSystemNumber()

      Returns the system number of the ABAP server where the current or last call was executed or from where the current or last request was done.
      Returns:
        the system number of the ABAP server where the current or last call was executed or from where the current or last request was done

    - #### getAbapClient

          String getAbapClient()

      Returns the client in the ABAP server, if available, or null.
      Returns:
        the client in the ABAP server, if available, or null

    - #### getAbapUser

          String getAbapUser()

      Returns the user name in the ABAP server, if available, or null.
      Returns:
        the user name in the ABAP server, if available, or null

    - #### getAbapLanguage

          String getAbapLanguage()

      Returns the language in the ABAP server, if available, or null.
      Returns:
        the language in the ABAP server, if available, or null

    - #### getConvId

          String getConvId()

      Returns the current conversation id, may be null for inactive server connections.
      Returns:
        the current conversation id, may be null for inactive server connections

    - #### getApplicationName

          String getApplicationName()

      Returns the application name, if provided by the application or runtime, or null.
      Returns:
        the application name, if provided by the application or runtime, or null

    - #### getGroupName

          String getGroupName()

      Returns the name of the connection group - client pool id or server group id.
      Returns:
        the name of the connection group - client pool id or server group id

    - #### getState

          int getState()

      Returns a flag that indicates the activity state of the connection - either STATE_ACTIVE or STATE_STATEFUL.
      Returns:
        a flag that indicates the activity state of the connection

    - #### getLastActivityTimestamp

          long getLastActivityTimestamp()

      Returns the timestamp of the last activity of the monitored connection.
      Returns:
        last activity timestamp

    - #### getStateAsString

          String getStateAsString()

      Returns the state as string, e.g. 'ACTIVE|STATEFUL'.
      Returns:
        state as string

    - #### getDSRPassportAsString

          String getDSRPassportAsString()

      Returns the DSR passport as a hex string.
      Returns:
        DSR passport as a hex string

    - #### getLastActivityTimestampAsString

          String getLastActivityTimestampAsString(Calendar calendar)

      Returns the last activity time as string, e.g. '2007-02-28#16:41:59:123'.
      Returns:
        last activity time as string

    - #### getThreadId

          long getThreadId()

      Returns the threadID of the thread where the connection has been used for the last time.
      Returns:
        the threadID of the thread where the connection has been used for the last time

    - #### getThreadIdAsString

          String getThreadIdAsString()

      Returns the threadID as String of the thread where the connection has been used for the last time.
      Returns:
        the threadID as String of the thread where the connection has been used for the last time

    - #### getThreadName

          String getThreadName()

      Returns the thread name of the thread where the connection has been used for the last time.
      Returns:
        the thread name of the thread where the connection has been used for the last time

    - #### getConnectionHandle

          long getConnectionHandle()

      Returns the connection handle (unique within the JVM process).
      Returns:
        the connection handle (unique within the JVM process)

    - #### getConnectionHandleAsString

          String getConnectionHandleAsString()

      Returns the connection handle as String (unique within the JVM process).
      Returns:
        the connection handle as String (unique within the JVM process)

Copyright © 2016 SAP. All Rights Reserved.